cURL
curl --request POST \
--url https://public-api.kiwify.com/v1/payouts/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-kiwify-account-id: <api-key>' \
--data '{
"amount": 5000
}'import requests
url = "https://public-api.kiwify.com/v1/payouts/"
payload = { "amount": 5000 }
headers = {
"x-kiwify-account-id": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-kiwify-account-id': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({amount: 5000})
};
fetch('https://public-api.kiwify.com/v1/payouts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "8606aae0-e036-4e55-998a-e0a8de7bf54f"
}{
"error": "auth_error",
"message": "Invalid token: access token is invalid"
}Saques
Realizar um saque
Solicita a realização de um saque. Este endpoint é de natureza síncrona, o que significa que você terá uma resposta imediata, porém, para saber o status da solicitação, será necessário consultar o dashboard, no menu financeiro, na aba “Saques”.
POST
/
payouts
/
cURL
⌘I
